# FoundationClasses
TKernel
TColStd

# TColStd_DataMapNodeOfDataMapOfIntegerListOfInteger Class Reference

`#include <TColStd_DataMapNodeOfDataMapOfIntegerListOfInteger.hxx>`

Inheritance diagram for TColStd_DataMapNodeOfDataMapOfIntegerListOfInteger:

[legend]

## Public Member Functions

| TColStd_DataMapNodeOfDataMapOfIntegerListOfInteger (const Standard_Integer &K, const TColStd_ListOfInteger &I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
TColStd_ListOfInteger & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
TColStd_ListOfInteger | myValue

## Constructor & Destructor Documentation

TColStd_DataMapNodeOfDataMapOfIntegerListOfInteger::TColStd_DataMapNodeOfDataMapOfIntegerListOfInteger | ( | const Standard_Integer & | K,
|  | const TColStd_ListOfInteger & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TColStd_DataMapNodeOfDataMapOfIntegerListOfInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

Standard_Integer& TColStd_DataMapNodeOfDataMapOfIntegerListOfInteger::Key | ( |  | ) | const

TColStd_ListOfInteger& TColStd_DataMapNodeOfDataMapOfIntegerListOfInteger::Value | ( |  | ) | const

## Field Documentation

Standard_Integer TColStd_DataMapNodeOfDataMapOfIntegerListOfInteger::myKey `[private]`

TColStd_ListOfInteger TColStd_DataMapNodeOfDataMapOfIntegerListOfInteger::myValue `[private]`

The documentation for this class was generated from the following file:

- TColStd_DataMapNodeOfDataMapOfIntegerListOfInteger.hxx